Subject: Excessive transient region highlighting with highlight-nonselected-windows

From: Glenn Morris <[email-masked]>
Date: Mon, 26 Sep 2011 21:42:22 -0400

Package: emacs
Version: 24.0.90

emacs -Q --eval '(progn (setq highlight-nonselected-windows t) (transient-mark-mode -1))' -f make-frame

Two frames open showing the *scratch* buffer, once frame has focus.

With the mouse, click on the "n" of "notes" in the focused frame. Do
not release the mouse. In the other frame, a region starting or ending
at "n" is now selected.

This does not happen in Emacs 23.3. How do I disable this selection of a
region in the non-selected frame?

(Obviously I can set highlight-nonselected-windows nil, but I want that
behaviour for regions I explicitly select.)